package com.mx.dla.dda.carga.transaccion.ws.procesarCargaTitulosPN;

import java.io.Serializable;

/**
 * Representa la respuesta que sera enviada al Front-End por parte de este componente al ejecutar el proceso de Carga de Titulos Transaccional
 * Incluye un mensaje y resultado.
 *
 */
public class ResponseCargaTitulosPNDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String mensaje;
	private boolean resultado;
	private Long idCarga;
	private CargaPrincipalPNDTO datosCarga;
	
	public ResponseCargaTitulosPNDTO()
	{
		this.datosCarga = new CargaPrincipalPNDTO();
	}
	
	public String getMensaje() {
		return this.mensaje;
	}
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	
	public boolean isResultado() {
		return resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	
	public CargaPrincipalPNDTO getDatosCarga() {
		return datosCarga;
	}
	public void setDatosCarga(CargaPrincipalPNDTO datosCarga) {
		this.datosCarga = datosCarga;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idCarga: _" + this.getIdCarga() + "_" + NEW_LINE);
		result.append(" mensaje: _" + this.getMensaje() + "_" + NEW_LINE);
		result.append(" resultado: _" + this.isResultado() + "_" + NEW_LINE);
		result.append(" datosCarga: _" + this.getDatosCarga().toString() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

	public Long getIdCarga() {
		return idCarga;
	}

	public void setIdCarga(Long idCarga) {
		this.idCarga = idCarga;
	}
	
}
